Bug 1091340 - (CVE-2018-10540) VUL-1: CVE-2018-10540: wavpack: Out-of-bounds writes can occur because ParseWave64HeaderConfig in wave64.c
(CVE-2018-10540)
VUL-1: CVE-2018-10540: wavpack: Out-of-bounds writes can occur because ParseW...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/205026/
CVSSv3.1:SUSE:CVE-2018-10540:5.5:(AV...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-30 08:48 UTC by Alexander Bergmann
Modified: 2021-01-26 09:20 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2018-04-30 08:48:07 UTC
CVE-2018-10540

An issue was discovered in WavPack 5.1.0 and earlier for W64 input.
Out-of-bounds writes can occur because ParseWave64HeaderConfig in wave64.c does
not validate the sizes of unknown chunks before attempting memory allocation,
related to a lack of integer-overflow protection within a bytes_to_copy
calculation and subsequent malloc call, leading to insufficient memory
allocation.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-10540
Comment 1 Alexander Bergmann 2018-04-30 08:50:05 UTC
Relevant function was introduced in version 5.0.0. Therefore SLE and openSUSE are not affected. Closing.
Comment 2 Alexandros Toptsoglou 2021-01-18 12:21:02 UTC
SLE15 is affected.
Comment 4 Swamp Workflow Management 2021-01-21 17:15:48 UTC
SUSE-SU-2021:0186-1: An update that fixes 13 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1091340,1091341,1091342,1091343,1091344,1180414
CVE References: CVE-2018-10536,CVE-2018-10537,CVE-2018-10538,CVE-2018-10539,CVE-2018-10540,CVE-2018-19840,CVE-2018-19841,CVE-2018-6767,CVE-2018-7253,CVE-2018-7254,CVE-2019-1010319,CVE-2019-11498,CVE-2020-35738
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    wavpack-5.4.0-4.9.1
SUSE Manager Retail Branch Server 4.0 (src):    wavpack-5.4.0-4.9.1
SUSE Manager Proxy 4.0 (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise Server for SAP 15 (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise Server 15-LTSS (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP2 (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    wavpack-5.4.0-4.9.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    wavpack-5.4.0-4.9.1
SUSE Enterprise Storage 6 (src):    wavpack-5.4.0-4.9.1
SUSE CaaS Platform 4.0 (src):    wavpack-5.4.0-4.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2021-01-24 23:18:38 UTC
openSUSE-SU-2021:0153-1: An update that fixes 13 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1091340,1091341,1091342,1091343,1091344,1180414
CVE References: CVE-2018-10536,CVE-2018-10537,CVE-2018-10538,CVE-2018-10539,CVE-2018-10540,CVE-2018-19840,CVE-2018-19841,CVE-2018-6767,CVE-2018-7253,CVE-2018-7254,CVE-2019-1010319,CVE-2019-11498,CVE-2020-35738
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    wavpack-5.4.0-lp152.7.3.1
Comment 6 Swamp Workflow Management 2021-01-24 23:19:59 UTC
openSUSE-SU-2021:0154-1: An update that fixes 13 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1091340,1091341,1091342,1091343,1091344,1180414
CVE References: CVE-2018-10536,CVE-2018-10537,CVE-2018-10538,CVE-2018-10539,CVE-2018-10540,CVE-2018-19840,CVE-2018-19841,CVE-2018-6767,CVE-2018-7253,CVE-2018-7254,CVE-2019-1010319,CVE-2019-11498,CVE-2020-35738
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    wavpack-5.4.0-lp151.5.6.1
Comment 7 Alexandros Toptsoglou 2021-01-26 09:20:29 UTC
Done